Name:       tizen-mobile-session
Summary:    Target for tizen systemd user session
Version:    1
Release:    1
Group:      System/Libraries
License:    Public Domain
Source0:    tizen-mobile-session.target
Source1:    tizen-middleware.target
Source2:    user-session@.service
Source3:    systemd-user-session
Source4:    tizen-generate-env.service

Requires: systemd

%description
Target for tizen systemd user session

%install

mkdir -p %{buildroot}%{_libdir}/systemd/user/tizen-mobile-session.target.wants
mkdir -p %{buildroot}%{_libdir}/systemd/user/tizen-middleware.target.wants
mkdir -p %{buildroot}%{_libdir}/systemd/system/graphical.target.wants
mkdir -p %{buildroot}%{_libdir}/systemd/system/basic.target.wants
install -m 0644 %SOURCE0 %{buildroot}%{_libdir}/systemd/user/
install -m 0644 %SOURCE1 %{buildroot}%{_libdir}/systemd/user/
install -m 0644 %SOURCE2 %{buildroot}%{_libdir}/systemd/system/
install -m 0644 %SOURCE4 %{buildroot}%{_libdir}/systemd/system/

ln -sf ../user-session@.service %{buildroot}%{_libdir}/systemd/system/graphical.target.wants/user-session@app.service
ln -sf tizen-mobile-session.target %{buildroot}%{_libdir}/systemd/user/default.target
ln -sf ../tizen-generate-env.service %{buildroot}%{_libdir}/systemd/system/basic.target.wants

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %SOURCE3 %{buildroot}%{_sysconfdir}/pam.d/

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
ln -sf /run/tizen-mobile-ui %{buildroot}%{_sysconfdir}/sysconfig/tizen-mobile-ui


%files
%config %{_sysconfdir}/sysconfig/tizen-mobile-ui
%config %{_sysconfdir}/pam.d/systemd-user-session
%{_libdir}/systemd/user/tizen-mobile-session.target
%{_libdir}/systemd/user/tizen-middleware.target
%{_libdir}/systemd/user/tizen-mobile-session.target.wants/
%{_libdir}/systemd/user/tizen-middleware.target.wants/
%{_libdir}/systemd/user/default.target
%{_libdir}/systemd/system/graphical.target.wants/user-session@app.service
%{_libdir}/systemd/system/user-session@.service
%{_libdir}/systemd/system/tizen-generate-env.service
%{_libdir}/systemd/system/basic.target.wants/tizen-generate-env.service
